# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Public Attributes | Private Attributes | Friends | List of all members
DBus::DefaultTimeout Class Reference

`#include <eventloop.h>`

Inheritance diagram for DBus::DefaultTimeout:

## Public Member Functions

| DefaultTimeout (int interval, bool repeat, DefaultMainLoop *)
virtual | ~DefaultTimeout ()
bool | enabled ()
void | enabled (bool e)
int | interval ()
void | interval (int i)
bool | repeat ()
void | repeat (bool r)
void * | data ()
void | data (void *d)

## Public Attributes

Slot< void, DefaultTimeout & > | expired

## Private Attributes

bool | _enabled
int | _interval
bool | _repeat
double | _expiration
void * | _data
DefaultMainLoop * | _disp

## Friends

class | DefaultMainLoop

## Detailed Description

Definition at line 46 of file eventloop.h.

## Constructor & Destructor Documentation

## ◆ DefaultTimeout()

DefaultTimeout::DefaultTimeout | ( | int | interval,
|  | bool | repeat,
|  | DefaultMainLoop * | ed )

Definition at line 44 of file eventloop.cpp.

References _data, _disp, _enabled, _expiration, _interval, _repeat, DefaultMainLoop, interval(), millis(), and repeat().

Referenced by DBus::BusTimeout::BusTimeout().

## ◆ ~DefaultTimeout()

DefaultTimeout::~DefaultTimeout | ( |  | ) |

virtual

Definition at line 57 of file eventloop.cpp.

References _disp.

## Member Function Documentation

## ◆ data() [1/2]

void * DBus::DefaultTimeout::data | ( |  | ) |

inline

Definition at line 81 of file eventloop.h.

References _data.

Referenced by DBus::BusDispatcher::add_timeout(), and DBus::BusDispatcher::timeout_expired().

## ◆ data() [2/2]

void DBus::DefaultTimeout::data | ( | void * | d | ) |

inline

Definition at line 85 of file eventloop.h.

References _data.

## ◆ enabled() [1/2]

bool DBus::DefaultTimeout::enabled | ( |  | ) |

inline

Definition at line 54 of file eventloop.h.

References _enabled.

Referenced by DBus::BusTimeout::BusTimeout(), and DBus::BusTimeout::toggle().

## ◆ enabled() [2/2]

void DBus::DefaultTimeout::enabled | ( | bool | e | ) |

inline

Definition at line 58 of file eventloop.h.

References _enabled.

## ◆ interval() [1/2]

int DBus::DefaultTimeout::interval | ( |  | ) |

inline

Definition at line 63 of file eventloop.h.

References _interval.

Referenced by DefaultTimeout().

## ◆ interval() [2/2]

void DBus::DefaultTimeout::interval | ( | int | i | ) |

inline

Definition at line 67 of file eventloop.h.

References _interval.

## ◆ repeat() [1/2]

bool DBus::DefaultTimeout::repeat | ( |  | ) |

inline

Definition at line 72 of file eventloop.h.

References _repeat.

Referenced by DefaultTimeout().

## ◆ repeat() [2/2]

void DBus::DefaultTimeout::repeat | ( | bool | r | ) |

inline

Definition at line 76 of file eventloop.h.

References _repeat.

## Friends And Related Symbol Documentation

## ◆ DefaultMainLoop

friend class DefaultMainLoop

friend

Definition at line 105 of file eventloop.h.

References DefaultMainLoop.

Referenced by DefaultMainLoop, and DefaultTimeout().

## Member Data Documentation

## ◆ _data

void* DBus::DefaultTimeout::_data

private

Definition at line 101 of file eventloop.h.

Referenced by data(), data(), and DefaultTimeout().

## ◆ _disp

DefaultMainLoop* DBus::DefaultTimeout::_disp

private

Definition at line 103 of file eventloop.h.

Referenced by DefaultTimeout(), and ~DefaultTimeout().

## ◆ _enabled

bool DBus::DefaultTimeout::_enabled

private

Definition at line 94 of file eventloop.h.

Referenced by DefaultTimeout(), enabled(), and enabled().

## ◆ _expiration

double DBus::DefaultTimeout::_expiration

private

Definition at line 99 of file eventloop.h.

Referenced by DefaultTimeout().

## ◆ _interval

int DBus::DefaultTimeout::_interval

private

Definition at line 96 of file eventloop.h.

Referenced by DefaultTimeout(), interval(), and interval().

## ◆ _repeat

bool DBus::DefaultTimeout::_repeat

private

Definition at line 97 of file eventloop.h.

Referenced by DefaultTimeout(), repeat(), and repeat().

## ◆ expired

Slot<void, DefaultTimeout &> DBus::DefaultTimeout::expired

Definition at line 90 of file eventloop.h.

Referenced by DBus::BusDispatcher::add_timeout().

The documentation for this class was generated from the following files:

- eventloop.h
- eventloop.cpp